loadfile("luaScripts/screen_reader_common.inc")( );
loadfile("luaScripts/ui_utils.inc")( );

tendingEffects = {
4,8,2,-1,4,3,-3,
1,-6,5,-2,5,-3,-4,
7,5,-6,2,7,-2,-10,
-5,7,3,-5,7,8,-9,
-3,7,5,8,-6,0,-9,
4,4,0,4,0,6,-1,
-5,-2,-6,6,2,2,-1,
6,5,7,-5,8,0,-14,
-4,2,-5,-3,6,6,-2,
-4,-6,2,-1,1,-5,-1,
6,0,-6,1,3,6,-13,
4,2,3,-2,2,2,-11,
-4,-4,4,8,8,-6,-4,
-4,0,0,-3,8,6,-6,
4,-2,-1,-5,0,1,-13,
-4,3,-4,5,1,3,-9,
-3,5,0,6,-6,5,-4,
4,1,2,-6,-1,6,-2,
-3,7,0,-3,-5,-3,-11,
7,5,3,0,8,3,-2,
3,-3,6,-6,-1,-1,-6,
6,1,-3,-3,3,1,-6,
4,7,7,-5,4,7,-4,
0,4,-5,1,-5,7,-5,
7,0,5,-1,4,-6,-11,
-4,6,4,-4,-1,3,-7,
7,-4,2,8,3,-4,-8,
2,-2,7,8,7,2,-4,
-1,4,1,-1,-2,5,-1,
-4,-1,2,-3,5,-3,-7,
7,2,-6,7,-6,-2,-10,
-2,5,4,0,-4,-4,-13,
-3,-3,6,0,-3,1,-2,
-4,3,6,7,-1,7,-6,
5,4,5,7,4,-1,-11,
4,-4,-1,6,6,5,-5,
0,6,1,-6,1,5,-10,
4,2,4,-6,1,2,-2,
-1,1,-7,-2,2,1,-5,
1,-4,3,1,3,-5,-3,
-4,3,4,4,2,0,-4,
-1,2,4,-5,-3,0,-14,
-4,-5,-2,3,6,-2,-9,
6,4,5,8,1,-4,-4,
-6,3,6,-1,7,-1,-14,
7,0,2,1,-6,-5,-1,
8,-2,8,6,-1,0,-1,
2,1,-5,-3,-4,4,-12,
-3,-3,-2,-2,-4,2,-10,
3,3,4,-4,-6,-2,-3,
-3,2,3,-7,-5,-3,-4,
-2,-3,1,4,7,4,-10,
-1,4,0,3,-3,2,-9,
0,2,-3,10,1,1,-9,
0,-1,4,-6,-4,2,-1,
-3,1,2,-4,5,4,-1,
2,-2,-1,-6,-6,-3,-14,
-3,3,3,-5,11,-2,-4,
1,4,3,-8,10,-2,-1,
-1,-2,4,-7,12,0,-13,
4,3,2,11,7,-2,-11,
4,-3,1,3,2,0,-4,
1,3,-2,3,6,-1,-6,
-3,3,4,4,7,-2,-13,
-1,4,1,5,8,3,-9,
-1,3,-2,-5,-4,1,-4,
3,0,0,0,-3,3,-2,
4,-3,2,2,-6,3,-11,
2,1,3,9,-1,-3,-2,
3,2,1,-2,-7,4,-6,
0,1,4,-3,4,-2,-6,
-2,3,-3,5,11,4,-4,
1,2,-2,-5,-1,0,-5,
-3,-3,-1,-8,6,-3,-11,
1,-3,-2,0,-6,0,-7,
-3,0,-3,12,-4,3,-8,
4,0,0,-1,4,3,-4,
0,0,3,-9,-8,-1,-1,
3,1,3,-8,-4,0,-7,
3,-3,3,7,-5,2,-10,
3,1,-3,-1,1,0,-13,
-3,2,-1,3,3,0,-2,
-1,1,-3,-9,11,-2,-6,
2,2,-2,-3,11,0,-11,
-3,0,-3,0,11,3,-5,
0,2,-1,-2,7,-1,-10,
2,0,2,4,-8,2,-2,
2,3,0,8,4,1,-5,
1,2,2,11,2,-3,-3,
1,1,2,-7,-5,4,-4,
-2,0,1,10,-1,-3,-14,
4,0,3,-7,3,-3,-9,
0,2,3,3,3,-2,-4,
0,-2,-3,0,9,4,-14,
-1,2,-1,6,5,-3,-1,
0,4,4,11,-4,-1,-1,
-1,-2,0,9,7,3,-12,
-3,-3,1,3,5,-1,-10
};

function ocrNumber(x, y)
	-- find first number
	local digit=nil;
	local offset=0;
	while (not digit) and (offset < 10) do
		for i=0, 9 do
			local pos = srFindImageInRange(i .. "B.png", x, y, 7, 9);
			if pos then
				digit=i;
				break;
			end
		end
		if not digit then
			x = x+1;
			offset = offset + 1;
		end
	end
	if (offset > 0) then
end
	ret = digit
	while 1 do
		digit = nil;
		x = x + 8;
		for i=0, 9 do
			local pos = srFindImageInRange(i .. "B.png", x, y, 7, 9);
			if pos then
				digit=i;
				break;
			end
		end
		if digit then
			ret = ret * 10 + digit;
		else
			break;
		end
	end
	if not ret then ret=1 end
	return ret;
end

function doit()
	askForWindow("Pin any number of windows, after selecting the window, you will be given a prompt of what kind of button to click on." );
	
	while 1 do
	
		srReadScreen( );
	
		local windows = findAllImages("V_CanBeTended.png" );
	
		if #windows == 0 then
			statusScreen("Vineyard not found" );

			lsSleep(1000);
		else
			statusScreen("Vineyard found" );

			pos = srFindImage("V_Vigor.png" );
			local vigor = ocrNumber(pos[0]+44, pos[1] );

			Balance = srFindImage("V_Balance.png" );
			Contemplation= srFindImage("V_Contemplation.png" );

			if Balance then 
				vine=0
			elseif Contemplation then
				vine=1
			end	

			fat=srFindImage("V_Fat.png" );
			musty=srFindImage("V_Musty.png" );
			rustle=srFindImage("V_Rustle.png" );
			sagging=srFindImage("V_Sagging.png" );
			shimmer=srFindImage("V_Shimmer.png" );
			shrivel=srFindImage("V_Shrivel.png" );
			wilting=srFindImage("V_Wilting.png" );
			
local clickpos=nil

if vine == 0 then
			if fat and vigor -4 >0 then 
				clickpos=srFindImage("V_TL.png")		
			elseif musty and vigor -3 >0 then
				clickpos=srFindImage("V_TV.png")		
			elseif rustle and vigor -6>0 then
				clickpos=srFindImage("V_TV.png")		
			elseif sagging and vigor -1>0 then
				clickpos=srFindImage("V_TV.png")		
			elseif shimmer and vigor -1>0 then
				clickpos=srFindImage("V_SV.png")		
			elseif shrivel and vigor -4>0 then
				clickpos=srFindImage("V_TV.png")		
			elseif wilting and vigor -4>0 then
				clickpos=srFindImage("V_TV.png")		
			end
elseif vine == 1 then
			if sagging and vigor -1>0 then
				clickpos=srFindImage("V_TL.png")		
			elseif wilting and vigor -4>0 then
				clickpos=srFindImage("V_TV.png")		
			elseif musty and vigor -2 >0 then
				clickpos=srFindImage("V_TV.png")		
			elseif fat and vigor -4 >0 then 
				clickpos=srFindImage("V_MG.png")		
			elseif rustle and vigor -2>0 then
				clickpos=srFindImage("V_SV.png")		
			elseif shrivel and vigor -3>0 then
				clickpos=srFindImage("V_SV.png")		
			elseif shimmer and vigor -1>0 then
				clickpos=srFindImage("V_SV.png")		
			end
end

			if clickpos == nil then
				statusScreen("Vineyard cannot be tended" );
			else
				srClickMouseNoMove(clickpos[0], clickpos[1] );
				statusScreen("Vineyard done" );
			end
			lsSleep(500);
		end
	end
end